## doomsday 1.10.4

=== snowberry/apidoc/Makefile ===
html: Doxyfile $(wildcard ../*.py)
	doxygen

clean:
	rm -rf html/
