=== debian/changelog ===
doomsday (1.10.4-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Add rudimentary support for PWAD files in doomsday-compat
    to allow for loading hexdd via a desktop file.
  * Add separate game modes for Freedoom Phases 1 and 2 and FreeDM.
  * Add myself to Uploaders, I am doing the QA anyway.
  * Document missing licenses in debian/copyright (Closes: #740602).
  * Add desktop and menu files and icons (Closes: #737860).

  [ Jonathan Dowland ]
  * Remove myself from uploaders.

  [ Vincent Cheng ]
  * Update to Standards version 3.9.5, no changes required.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 24 Mar 2014 09:46:25 +0100

doomsday (1.10.4-1) unstable; urgency=low

  * Team upload.
  * Set Maintainer: Debian Games Team and remove Uploaders: Kees Meijs
    (Closes: #708843).
  * Imported Upstream version 1.10.4 (Closes: #692095).
    + This version is able to run freedoom, so move this and
      alternative dependencies back from Suggests: to
      Recommends: (Closes: #661329 for real).
    + Fixes FTBFS with libpng (Closes: #650595).
    + Fixes FTBFS with -Werror=format-security (Closes: #646251).
  * debian/doomsday-compat: This script translates between the "-iwad" parameter
    as expected by vanilla Doom and the one expected by the Doomsday Engine.
    + Install as /usr/games/doomsday-compat.
    + Register as alternative for doom and boom in doomsday.{postinst,prerm}.
    + Add Provides: boom-engine, doom-engine to doomsday.
    + Add a native "freedoom" game mode.
  * Remove debian/README.source, we now ship the pristine tarball.
  * Fix installation directories.
  * Avoid installation of APT repository lists.
  * Remove debian/doomsday.6, install upstream manpage instead.
  * Convert to "3.0 (quilt)" source format.
  * Convert to debhelper 9 debian/rules format.
  * Convert to machine-readable debian/copyright format.
  * Fix spelling errors detected by lintian.
  * Remove useless Depends: timidity.
  * Build the fluidsynth plugin.
  * Update Build-Depends with libraries that we actually link against.
  * Run "wrap-and-sort -asb".
  * Install /etc/doomsday/paths to set a system-level iwaddir path.
  * Provide heretic-engine and hexen-engine, add the corresponding heretic-wad
    and hexen-wad to Recommends and register the corresponding alternatives.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 26 Aug 2013 14:57:22 +0200

doomsday (1.9.9+dfsg1-1) UNRELEASED; urgency=low

  * Upgrade to version 1.9.9. Closes: #692095.
  * Removed need for libpng altogether (comes with 1.9.9). Closes: #650595.

 -- Kees Meijs <post@keesmeijs.nl>  Mon, 05 Nov 2012 21:14:54 +0100

deng (1.9.0-beta6.9+dfsg1-3) UNRELEASED; urgency=low

  * Fixed compiler flags and altered text output. Closes: #646251.

 -- Kees Meijs <post@keesmeijs.nl>  Mon, 05 Nov 2012 14:57:15 +0100

deng (1.9.0-beta6.9+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Moving doom-wad from Recommends: to Suggests: (Closes: #661329).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Apr 2012 04:34:41 +0000

deng (1.9.0-beta6.9+dfsg1-2) unstable; urgency=low

  * Add a patch from Jamie Jones to fix a FTBFS. Closes: #622583.
  * Include the following changes from -1, which were
    accidentally omitted:
    * Patched dd_zone.c file as needed
    * Fixed paths in CMakeLists.txt file in order to reflect Debian policies.
  * Adjust debian/copyright to not trigger lintian warning about templates.
  * Split build into build arch/indep (more work to do here)
  * Bump standards version.
  * Tweak description to avoid description-synopsis-starts-with-article.

 -- Jon Dowland <jmtd@debian.org>  Mon, 26 Sep 2011 20:13:49 +0100

deng (1.9.0-beta6.9+dfsg1-1) unstable; urgency=low

  [ Kees Meijs ]
  * Initial release. Closes: #463002.
  * Patched dd_zone.c file as needed, mentioned on:
    http://dengine.net/dew/index.php?title=User_talk:Yagisan#svn_4165_dd_zone.c.
  * Fixed paths in CMakeLists.txt file in order to reflect Debian policies.
  * Cleaned up original sources (see README.source).

  [ Jon Dowland ]
  * add dversionmangle to watch file, to remove dfsg suffix

 -- Jon Dowland <jmtd@debian.org>  Tue, 08 Mar 2011 22:05:24 +0000
