=== debian/control ===
Source: doomsday
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends:
 debhelper (>= 9),
 libfluidsynth-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 libx11-dev,
 libxrandr-dev,
 libxxf86vm-dev,
 python,
 qt4-qmake,
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.dengine.net/
Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/deng.git

Package: doomsday
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad
Provides:
 boom-engine,
 doom-engine,
 heretic-engine,
 hexen-engine
Description: enhanced version of the legendary DOOM game
 The purpose of the Doomsday Engine project is to create versions of DOOM,
 Heretic and Hexen that feel the same as the original games but are implemented
 using modern techniques such as 3D graphics and client/server networking. A
 lot of emphasis is placed on good-looking graphics.
 .
 Doomsday Engine (or deng for short) requires an IWAD to play. You can install
 your commercial IWADs using game-data-packager.
