=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
DENG_BUILD = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

debian/doomsday.xpm: snowberry/graphics/snowberry.png
	convert $^ -resize 32x32 $@

%:
	dh $@ \
		--parallel \
		--sourcedirectory=doomsday

override_dh_auto_configure:
	dh_auto_configure -- \
		CONFIG+=release \
		CONFIG+=deng_fluidsynth \
		CONFIG+=deng_nosnowberry \
		CONFIG+=deng_notools \
		DENG_BUILD=$(DENG_BUILD) \
		DENG_BIN_DIR=/usr/games \
		DENG_LIB_DIR=/usr/lib/doomsday \
		DENG_PLUGIN_LIB_DIR=/usr/lib/doomsday/plugins \
		DENG_BASE_DIR=/usr/share/doomsday

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/doomsday/etc/

override_dh_makeshlibs:
	dh_makeshlibs --exclude=/usr/lib/doomsday
