=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for devscripts >= 2.9
opts=dversionmangle=s/\+dfsg1// \
http://sf.net/deng/doomsday-(.*)\.tar\.gz
