=== debian/changelog ===
doomsday (1.14.5-2) unstable; urgency=medium

  * Update debian/copyrgiht.
  * Add some lintian overrides.
  * Fix /usr/lib installation path.
  * Add manpage for doomsday-compat.
  * Document persist.pack problem (closes: #786758).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 25 May 2015 21:17:56 +0000

doomsday (1.14.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Enable all build hardening flags.
  * Spelling correction patch now applied upstream.
  * Exclude some unused files from the upstream tarball.
  * Turn fullscreen antialiasing off by default (buggy in upstream 1.14).
  * Adopt the package (closes: #775830, 775928).
  * Correctly parse argument ordering (closes: #749723).
  * Install files into to FHS directories (closes: #783707).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 24 May 2015 19:02:31 +0000
