=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --sourcedirectory=doomsday

override_dh_auto_configure:
	dh_auto_configure -- \
		CONFIG+=release \
		CONFIG+=deng_notools \
		CONFIG+=deng_fluidsynth \
		CONFIG+=deng_nosnowberry \
		DENG_BUILD=$(shell dpkg-parsechangelog -S Version) \
