## doomsday 1.15.3

=== debian/changelog ===
doomsday (1.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Sep 2015 18:14:05 +0000

doomsday (1.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop support for armel and armhf.
  * Output data pack files into the build directory.
  * Use consistent permissions for files included in pack files.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 07 Jul 2015 14:41:15 +0000

doomsday (1.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove timestamp macros.
  * Replace more shared library exit calls.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 06 Jul 2015 19:01:53 +0000

doomsday (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright (closes: #790310).
  * Update debian/watch for new tarball naming scheme.
  * Use abort instead of exit for some of the shared library failure modes.
  * More robust doomsday-compat (closes: #787985, #788053, #788058, #789882).
    - Many thanks to Fabian Greffrath.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Jun 2015 19:51:14 +0000

doomsday (1.14.5-3) unstable; urgency=medium

  * Fix lintian warnings.
  * Fix some spelling errors.
  * Escape hyphens in manpages.
  * Split into separate binary packages.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 06 Jun 2015 04:32:31 +0000
