=== debian/control ===
--- 
+++ 
@@ -5,31 +5,33 @@
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ python,
+ qt4-qmake,
+ zlib1g-dev,
+ libassimp-dev,
  libqt4-dev,
  libqt4-opengl-dev,
  libfluidsynth-dev,
- libsdl-mixer1.2-dev,
+ libsdl2-mixer-dev,
  libx11-dev,
  libxrandr-dev,
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- python,
- qt4-qmake,
- zlib1g-dev,
 Standards-Version: 3.9.6
 Homepage: http://www.dengine.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/deng.git
 
 Package: doomsday
-Architecture: any
+Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ doomsday-data (>= ${source:Version}), doomsday-data (<< ${source:Version}.1~),
+ doomsday-common (>= ${source:Version}), doomsday-common (<< ${source:Version}.1~),
 Recommends:
  fluid-soundfont-gm,
- freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad,
 Provides:
  boom-engine,
  doom-engine,
@@ -43,3 +45,58 @@
  .
  Doomsday Engine (or deng for short) requires an IWAD to play. You can install
  your commercial IWADs using game-data-packager.
+
+Package: doomsday-server
+Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ doomsday-data (>= ${source:Version}), doomsday-data (<< ${source:Version}.1~),
+ doomsday-common (>= ${source:Version}), doomsday-common (<< ${source:Version}.1~),
+Replaces:
+ doomsday (<= 1.14.5-2),
+Breaks:
+ doomsday (<= 1.14.5-2),
+Description: enhanced version of the legendary DOOM game - server
+ The purpose of the Doomsday Engine project is to create versions of DOOM,
+ Heretic and Hexen that feel the same as the original games but are implemented
+ using modern techniques such as 3D graphics and client/server networking. A
+ lot of emphasis is placed on good-looking graphics.
+ .
+ This package contains the dedicated server.
+
+Package: doomsday-common
+Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ doomsday (<= 1.14.5-2),
+Breaks:
+ doomsday (<= 1.14.5-2),
+Description: enhanced version of the legendary DOOM game - common files
+ The purpose of the Doomsday Engine project is to create versions of DOOM,
+ Heretic and Hexen that feel the same as the original games but are implemented
+ using modern techniques such as 3D graphics and client/server networking. A
+ lot of emphasis is placed on good-looking graphics.
+ .
+ This package includes files common to both server and client packages.
+
+Package: doomsday-data
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad,
+Replaces:
+ doomsday (<= 1.14.5-2),
+Breaks: 
+ doomsday (<= 1.14.5-2),
+Description: enhanced version of the legendary DOOM game - data files
+ The purpose of the Doomsday Engine project is to create versions of DOOM,
+ Heretic and Hexen that feel the same as the original games but are implemented
+ using modern techniques such as 3D graphics and client/server networking. A
+ lot of emphasis is placed on good-looking graphics.
+ .
+ This package includes architecture-independent data files.
