## doomsday 1.15.7

=== debian/changelog ===
doomsday (1.15.7-2) unstable; urgency=medium

  * Avoid gcc 5.3.1-4 (see: #809165).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 06:50:15 +0000

doomsday (1.15.7-1) unstable; urgency=medium

  * New upstream release.
    - Build failure fixed (closes: #809266).
    - Support for freedoom (drop freedoom.patch).
  * Add more spelling corrections.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 01:24:11 +0000

doomsday (1.15.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Nov 2015 19:36:05 +0000

doomsday (1.15.4-1) unstable; urgency=medium

  * New upstream release.
  * Use deterministic timestamps in zip files.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Oct 2015 00:55:42 +0000
