=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ strip-nondeterminism,
  python,
  qt4-qmake,
  zlib1g-dev,
@@ -18,6 +19,7 @@
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
+ gcc-5 (<< 5.3.1-4) | gcc-5 (>> 5.3.1-4 ),
 Standards-Version: 3.9.6
 Homepage: http://www.dengine.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
