## doomsday 1.15.8

=== doomsday/build/mac/Makefile ===
.PHONY : fonts

FONT_DEST=../Data/Fonts

fonts:
	./createfont_osx.py "Gill Sans" 12 256 ${FONT_DEST}/normal12.dfn
	./createfont_osx.py "Gill Sans" 18 256 ${FONT_DEST}/normal18.dfn
	./createfont_osx.py "Gill Sans" 24 256 ${FONT_DEST}/normal24.dfn
	./createfont_osx.py "Gill Sans Bold" 12 256 ${FONT_DEST}/normalbold12.dfn
	./createfont_osx.py "Gill Sans Bold" 18 256 ${FONT_DEST}/normalbold18.dfn
	./createfont_osx.py "Gill Sans Bold" 24 256 ${FONT_DEST}/normalbold24.dfn
	./createfont_osx.py "Gill Sans Light" 12 256 ${FONT_DEST}/normallight12.dfn
	./createfont_osx.py "Gill Sans Light" 18 256 ${FONT_DEST}/normallight18.dfn
	./createfont_osx.py "Gill Sans Light" 24 256 ${FONT_DEST}/normallight24.dfn
	./createfont_osx.py "Andale Mono" 11 256 ${FONT_DEST}/console11.dfn
	./createfont_osx.py "Andale Mono" 14 256 ${FONT_DEST}/console14.dfn
	./createfont_osx.py "Andale Mono" 18 256 ${FONT_DEST}/console18.dfn
