=== debian/changelog ===
doomsday (1.15.8-5build1) bionic; urgency=medium

  * No-change rebuild against latest assimp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 25 Nov 2017 18:58:04 -0500

doomsday (1.15.8-5) unstable; urgency=medium

  * Team upload.
  * Add mo-thinker-NULL-pointer.patch and fix another segfault.
    Thanks to Hans Joachim Desserud for the report and Bernhard Übelacker for
    the patch. (Closes: #863536)
  * Make the build reproducible. Thanks to Chris Lamb for the report and patch.
    (Closes: #858333)

 -- Markus Koschany <apo@debian.org>  Thu, 01 Jun 2017 23:42:23 +0200

doomsday (1.15.8-4) unstable; urgency=medium

  * Team upload.
  * Add Node-parent-NULL-pointer.patch and fix startup crash.
    Thanks to Bernhard Übelacker for the patch. (Closes: #847651)

 -- Markus Koschany <apo@debian.org>  Tue, 23 May 2017 15:08:36 +0200

doomsday (1.15.8-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Remove --parallel option because we use compat 10 already.
  * Remove override for dh_install and do not call strip-nondeterminism
    manually. Let debhelper handle this task automatically. (Closes: #839338)
  * Vcs: Switch to cgit and https.

 -- Markus Koschany <apo@debian.org>  Sun, 09 Oct 2016 18:15:23 +0200

doomsday (1.15.8-2) unstable; urgency=medium

  * Convert to debhelper 10.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 14 Sep 2016 02:15:11 +0000

doomsday (1.15.8-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian override.
  * Increase standards version.
  * Build with gcc 6 (closes: #835945).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Sep 2016 23:47:19 +0000
