=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
- debhelper (>= 9),
- strip-nondeterminism,
+ gcc (>= 6),
+ debhelper (>= 10),
  python,
  qt4-qmake,
  zlib1g-dev,
@@ -19,11 +19,10 @@
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
- gcc-5 (<< 5.3.1-4) | gcc-5 (>> 5.3.1-4 ),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.dengine.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/deng.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/deng.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/deng.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/deng.git
 
 Package: doomsday
 Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
@@ -93,7 +92,7 @@
  freedoom | game-data-packager | boom-wad | doom-wad | heretic-wad | hexen-wad,
 Replaces:
  doomsday (<= 1.14.5-2),
-Breaks: 
+Breaks:
  doomsday (<= 1.14.5-2),
 Description: enhanced version of the legendary DOOM game - data files
  The purpose of the Doomsday Engine project is to create versions of DOOM,
