=== debian/watch ===
version=3
http://sf.net/deng/doomsday-stable-([\d.]+)\.tar\.gz
