=== debian/control ===
--- 
+++ 
@@ -4,28 +4,31 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Michael Gilbert <mgilbert@debian.org>
 Build-Depends:
- gcc (>= 6),
- debhelper (>= 10),
- python,
- qt4-qmake,
+ cmake,
+ debhelper-compat (= 12),
+ python3:any,
+ qtbase5-dev,
  zlib1g-dev,
  libassimp-dev,
- libqt4-dev,
- libqt4-opengl-dev,
  libfluidsynth-dev,
+ libncurses-dev,
  libsdl2-mixer-dev,
  libx11-dev,
  libxrandr-dev,
  libxxf86vm-dev,
+ libqt5opengl5-desktop-dev,
+ libqt5x11extras5-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
-Standards-Version: 3.9.8
-Homepage: http://www.dengine.net
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/deng.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/deng.git
+ libminizip-dev,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.dengine.net
+Vcs-Git: https://salsa.debian.org/games-team/deng.git
+Vcs-Browser: https://salsa.debian.org/games-team/deng
 
 Package: doomsday
-Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -48,7 +51,7 @@
  your commercial IWADs using game-data-packager.
 
 Package: doomsday-server
-Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -67,7 +70,7 @@
  This package contains the dedicated server.
 
 Package: doomsday-common
-Architecture: amd64 arm64 i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -85,6 +88,7 @@
 
 Package: doomsday-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
