=== debian/watch ===
version=4
opts="dversionmangle=auto" \
 https://files.dengine.net/archive/ doomsday-([\d.]+)@ARCHIVE_EXT@ debian uupdate
